<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/llbtn"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_centerInParent="true"
    android:orientation="vertical">

    <!--steps1-->
    <LinearLayout
        android:visibility="visible"
        android:orientation="vertical"
        android:id="@+id/llStep1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/layout_full_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:textColorHint="@color/white">

            <EditText
                android:id="@+id/txt_full_name"
                style="@style/edt_line_white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/full_name"
                android:imeOptions="actionNext"
                android:inputType="textCapWords"
                android:textColor="@color/white"
                android:textColorHint="@color/white"
                android:textSize="@dimen/text_size_normal" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/layout_email"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:textColorHint="@color/white">

            <EditText
                android:id="@+id/txt_email"
                style="@style/edt_line_white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/email"
                android:editable="false"
                android:imeOptions="actionNext"
                android:inputType="textEmailAddress"
                android:textColor="@color/white"
                android:textColorHint="@color/white"
                android:textSize="@dimen/text_size_normal"/>
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/layout_password"
            android:visibility="visible"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:textColorHint="@color/white">

            <EditText
                android:id="@+id/txt_password"
                style="@style/edt_line_white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/password"
                android:imeOptions="actionNext"
                android:inputType="textPassword"
                android:textColor="@color/white"
                android:textColorHint="@color/white"
                android:textSize="@dimen/text_size_normal" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/layout_retype_password"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:passwordToggleEnabled="false"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:textColorHint="@color/white">

            <EditText
                android:id="@+id/txt_retype_password"
                style="@style/edt_line_white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/password_confirm"
                android:imeOptions="actionDone"
                android:inputType="textPassword"
                android:textColor="@color/white"
                android:textColorHint="@color/white"
                android:textSize="@dimen/text_size_normal" />
        </com.google.android.material.textfield.TextInputLayout>
    </LinearLayout>

    <!--steps2-->
    <LinearLayout
        android:id="@+id/llStep2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone">

        <LinearLayout
            android:id="@+id/layout_phonenumber"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dimen_1x"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_phone_code"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_weight="0.3"
                android:drawableRight="@drawable/ic_arrow_drop_down_white"
                android:padding="@dimen/dimen_05x"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_normal" />


            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dimen_1x"
                android:layout_weight="0.7"
                android:textColorHint="@color/white">

                <EditText
                    android:id="@+id/txt_phone"
                    style="@style/edt_line_white"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/phone_number"
                    android:imeOptions="actionNext"
                    android:inputType="number"
                    android:textColor="@color/white"
                    android:textColorHint="@color/white"
                    android:textSize="@dimen/text_size_normal" />
            </com.google.android.material.textfield.TextInputLayout>
        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:layout_marginTop="@dimen/dimen_2x"
            android:text="@string/address_"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_normal" />

        <com.aveplus.avepay_cpocket.widgets.edittext.CustomEditText
            android:id="@+id/txt_address"
            style="@style/edt_line_white"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:drawableRight="@drawable/ic_search_address"
            android:hint=""
            android:imeOptions="actionNext"
            android:textColor="@color/white"
            android:textColorHint="@color/white"
            android:textSize="@dimen/text_size_normal" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/layout_address"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:textColorHint="@color/white"
            android:visibility="gone"
            app:passwordToggleEnabled="false">

            <EditText
                style="@style/edt_line_white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:clickable="true"
                android:editable="false"
                android:hint="@string/address_"
                android:imeOptions="actionNext"
                android:inputType="textCapWords"
                android:textColor="@color/white"
                android:textColorHint="@color/white"
                android:textSize="@dimen/text_size_normal" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/layout_zipcode"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:textColorHint="@color/white">

            <EditText
                android:id="@+id/txt_zipcode"
                style="@style/edt_line_white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/zipcode"
                android:imeOptions="actionDone"
                android:inputType="number"
                android:textColor="@color/white"
                android:textColorHint="@color/white"
                android:textSize="@dimen/text_size_normal" />
        </com.google.android.material.textfield.TextInputLayout>
    </LinearLayout>

    <!--steps3-->
    <LinearLayout
        android:visibility="gone"
        android:orientation="vertical"
        android:id="@+id/llStep3"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:textSize="@dimen/text_size_normal"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:textColor="@color/white"
            android:text="@string/gender"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />

        <com.aveplus.avepay_cpocket.widgets.edittext.CustomEditText
            android:id="@+id/txt_genre"
            style="@style/edt_line_white"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/choose_gender"
            android:clickable="true"
            android:editable="false"
            android:drawableRight="@drawable/ic_drop"
            android:imeOptions="actionNext"
            android:textColor="@color/white"
            android:textColorHint="@color/white"
            android:textSize="@dimen/text_size_normal"/>

        <TextView
            android:layout_marginTop="@dimen/dimen_2x"
            android:textSize="@dimen/text_size_normal"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:textColor="@color/white"
            android:text="@string/birthday"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />

        <com.aveplus.avepay_cpocket.widgets.edittext.CustomEditText
            android:id="@+id/txt_birthday"
            style="@style/edt_line_white"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint=""
            android:clickable="true"
            android:editable="false"
            android:drawableRight="@drawable/ic_date"
            android:textColor="@color/white"
            android:textColorHint="@color/white"
            android:textSize="@dimen/text_size_normal"/>

        <!--<android.support.design.widget.TextInputLayout-->
            <!--android:layout_width="match_parent"-->
            <!--android:id="@+id/layout_genre"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_marginBottom="@dimen/dimen_1x"-->
            <!--android:textColorHint="@color/white">-->

            <!---->
        <!--</android.support.design.widget.TextInputLayout>-->



    </LinearLayout>

    <include layout="@layout/checkbox"/>

</LinearLayout>